[
{
    blockid=proxy;
    help=service_http_proxy_proxy;
    localvar={
        .adminproxy.text="\u5141\u8bb8\u5bf9\u4ee3\u7406\u8ba4\u8bc1\u7684\u7ba1\u7406";
	.delimiter="$";
	.allow.help="\u5982\u679c\u4e00\u5bf9 (\u5b88\u62a4\u7a0b\u5e8f\uff0c\u5ba2\u6237\u673a) \u7b26\u5408 \"\u5141\u8bb8\" \u8fc7\u6ee4\u5668\u7684\u6761\u4ef6\uff0c\u5c06\u4e3a\u4ee3\u7406\u6388\u4e88\u8bb8\u53ef\u3002";
	.allow.header="\u5141\u8bb8";
	.allow.title="\"\u5141\u8bb8\" \u8fc7\u6ee4\u5668\u6761\u76ee";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    editui=allowdialog;
	    addtitle=$.allow.title;
	    edittitle=$.allow.title;
	    val=$proxydomainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_proxy_allowdialog;
    localvar={
	.allowrule.help="\"\u5141\u8bb8\" \u8fc7\u6ee4\u5668:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
